All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::is_addition< T > Struct Template Reference

Helper metafunction for checking whether the provided type is viennacl::op_add (for addition) More...

`#include <predicate.hpp>`

## Public Types

enum | { value = false }

## Detailed Description

### template<typename T>
struct viennacl::is_addition< T >

Helper metafunction for checking whether the provided type is viennacl::op_add (for addition)

Definition at line 400 of file predicate.hpp.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator
value |

Definition at line 402 of file predicate.hpp.

The documentation for this struct was generated from the following file:

- viennacl/meta/predicate.hpp